﻿using System;

namespace Dss.Api.Examples.Internal
{

    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Class)]
    public class ExampleAttribute : Attribute
    {

        public string Description { get; private set; }

        public ExampleAttribute(string description)
        {
            Description = description;
        }
    }

    [AttributeUsage(AttributeTargets.Method | AttributeTargets.Class, AllowMultiple = true)]
    public class EndToEndExampleAttribute : Attribute
    {

        public bool IsKeyMechanism { get; private set; }
        public Type ContextType { get; private set; }
        public Type EntityType { get; private set; }

        public EndToEndExampleAttribute(Type contextType, Type entityType = null)
        {
            ContextType = contextType;
            EntityType = entityType;
        }

        public EndToEndExampleAttribute()
        {
            IsKeyMechanism = true;
        }

    }

}
