﻿using System;
using System.Collections.Generic;
using System.Net;
using System.Net.Http;
using System.Net.Http.Headers;

namespace Dss.Api.Examples.Internal
{
    
    public class ExampleStepResult
    {
        public string ElapsedTime { get; set; }
        public string ResponseTime { get; set; }
        public HttpStatusCode Status { get; set; }
        public int StatusCode { get { return (int)Status; } }
        public Uri Uri { get; set; }
        public Dictionary<string, string> RequestHeaders { get; set; }
        public string RequestBody { get; set; }
        public bool IsText { get; set; }
        public Dictionary<string, string> ResponseHeaders { get; set; }
        public string ResponseBody { get; set; }
        public HttpMethod Verb { get; set; }
        public string Output { get; set; }
        public Exception Error { get; set; }

        public bool HasError
        {
            get { return (Error != null || StatusCode >= 500); }
        }

        public string ErrorMessage
        {
            get
            {
                var message = "";
                if (Error != null)
                    message += Error.Message;
                return message;
            }
        }

    }

}
